%define plugin	osdpip
%define rel	9

Summary:	VDR plugin: OSD Picture-in-Picture
Name:		vdr-plugin-%{plugin}
Version:	0.1.2
Release:	%mkrel %{rel}
Group:		Video/Utilities
License:	GPLv2+
URL:		http://projects.vdr-developer.org/projects/show/plg-osdpip
Source:		http://projects.vdr-developer.org/attachments/download/961/vdr-%{plugin}-%{version}.tgz
Patch1:		osdpip-0.1.2-ffmpeg.patch
# https://projects.vdr-developer.org/issues/2420
Patch2:		osdpip-ffmpeg3.patch

BuildRequires:	vdr-devel >= 1.6.0-7
BuildRequires:	ffmpeg-devel
Requires:	vdr-abi = %{vdr_abi}

%description
OSD Picture-in-Picture is a PlugIn that displays the current channel in a
small box on the screen (default upper right corner). You can switch up and
down now, watching the progress of the previous channel in the box.

%prep
%autosetup -p1 -n %{plugin}-%{version}
%vdr_plugin_prep

%build
VDR_PLUGIN_EXTRA_FLAGS="-D__STDC_CONSTANT_MACROS"
%vdr_plugin_build

%install
%vdr_plugin_install

%files -f %{plugin}.vdr
%doc README COPYING HISTORY TODO


%changelog
* Tue May 02 2017 akien <akien> 0.1.2-9.mga6
+ Revision: 1098327
- Rebuild for ffmpeg 3.3

* Thu Mar 09 2017 akien <akien> 0.1.2-8.mga6
+ Revision: 1090848
- Add upstream patch to fix ffmpeg 3.0+ compatibility
- Rebuild for ffmpeg 3.2.4

* Tue Feb 09 2016 umeabot <umeabot> 0.1.2-7.mga6
+ Revision: 951650
- Mageia 6 Mass Rebuild

* Mon Jan 05 2015 anssi <anssi> 0.1.2-6.mga5
+ Revision: 808493
- rebuild with new vdr-devel with cauldron-compatible macros

* Mon Nov 24 2014 anssi <anssi> 0.1.2-5.mga5
+ Revision: 798674
- rebuild for new VDR

* Fri Nov 14 2014 akien <akien> 0.1.2-4.mga5
+ Revision: 797160
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 0.1.2-3.mga5
+ Revision: 745257
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.2-2.mga5
+ Revision: 690156
- Mageia 5 Mass Rebuild

* Mon Jan 06 2014 danf <danf> 0.1.2-1.mga4
+ Revision: 565028
- Upgraded to ver. 0.1.2 to fix building with vdr 2

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + anssi <anssi>
    - rebuild for new VDR

* Mon Jul 15 2013 fwang <fwang> 0.1.1-5.mga4
+ Revision: 454512
- fix build with latest ffmpeg

* Mon Jan 14 2013 umeabot <umeabot> 0.1.1-5.mga3
+ Revision: 385289
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 13 2013 cjw <cjw> 0.1.1-4.mga3
+ Revision: 362678
- patch1: fix build with current ffmpeg

  + malo <malo>
    - spec clean-up
    - update RPM group

* Wed Mar 07 2012 anssi <anssi> 0.1.1-2.mga2
+ Revision: 221048
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 0.1.1-1.mga2
+ Revision: 214826
- new version 0.1.1
- drop recent-ffmpeg.patch, fixed upstream

* Sat Jun 25 2011 fwang <fwang> 0.1.0-3.mga2
+ Revision: 113521
- fix build with latest ffmpeg
- rebuild for new ffmpeg

* Sat May 14 2011 anssi <anssi> 0.1.0-2.mga1
+ Revision: 98455
- fix license tag
- drop old scriplets
- imported package vdr-plugin-osdpip

